package meerkat.voting.gui.ui.uicommands;

import meerkat.voting.controller.callbacks.*;

/**
 * Base class for the commands to put in the UI queue
 */
public abstract class UICommand<T> {
    protected final ControllerCallback<T> callback;

    protected UICommand(ControllerCallback<T> callback) {
        this.callback = callback;
    }

    public ControllerCallback<T> getCallback () {
        return this.callback;
    }
}
