package meerkat.voting.output.outputcommands;

import meerkat.voting.controller.callbacks.ControllerCallback;

/**
 * Base class for the commands to put in the output-device queue
 */
public abstract class OutputCommand<T> {
    protected final ControllerCallback<T> callback;

    protected OutputCommand(ControllerCallback<T> callback) {
        this.callback = callback;
    }

    public ControllerCallback<T> getCallback () {
        return callback;
    }
}
