package meerkat.voting.gui.panels.ballot_summary;

import javafx.fxml.FXML;
import javafx.scene.input.MouseEvent;
import meerkat.voting.gui.managment.TwoWayNode;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * BallotSummaryController handle the behavior of ballot summary screen
 */
public class BallotSummaryController extends TwoWayNode {
    @FXML
    private void GetToSelectByPicture(MouseEvent mousePressed){
        this.currentStage.close();
        this.currentStage.setScene(this.previous.GetCurrentScene());
        this.previous.UpdateNode();
        this.currentStage.show();
    }

    @FXML
    private void GetToCastOrAudit(MouseEvent mousePressed){
        this.currentStage.close();
        this.currentStage.setScene(this.next.GetCurrentScene());
        this.next.UpdateNode();
        this.currentStage.show();
    }

    /**
     * This method activates the representor of all the voters choises
     */
    private void ShowAllVotersChoices() throws IOException {
        VotersChoicesAdder votersChoicesAdder = new VotersChoicesAdder(this.currentStage, this.votersBallot);
        votersChoicesAdder.ShowVotersChoices();
    }

    @Override
    public void UpdateNode() {
        try {
            this.ShowAllVotersChoices();
        } catch (IOException e) {
            e.printStackTrace();
            // TODO: log about it
        }
    }
}
